Import Utility Help

This help file describes the Import Utility. You can use this tool to import data into Dexterity®-based applications.

Procedures

Locating fields and tables to import data into
Importing data

Windows

Choose A Table window
Import Data Lookup window
Import Definition Lookup window
Import Status window
Select A Table window
Table Import Definition window

Reference

Storage Types
Glossary


Procedures

Locating fields and tables to import data into
Importing data


Locating fields and tables to import data into

The following is a general procedure that describes how to locate the tables and fields into which to import data. You will find it helpful to have a clear understanding of the application, and how the relationships between tables will affect the data you import.

  1. Determine the main table you want to import data into.

The main table typically is the table within a table group to which all other tables are related. For instance, if you want to import accounts and account descriptions into an accounting system, the Account Master table would be the main table. Use the Resource Descriptions tool to obtain descriptions of data stored in the application’s tables.

The Import Utility allows you to import data into any table in the application. The application may contain tables that are not appropriate to import data into. Consult the documentation included with the application to find out whether it contains such tables.

You will need to create separate import definitions for each table that you need to import data into.

  2. Review all tables in the main table's table group.

Review all tables belonging to a table group using the Resource Descriptions tool to be sure synchronous data appears for records you're importing.

  3. Examine all additional tables related to the main table.

In addition to the other tables in the table group, update all tables that must contain synchronous data for records to be stored properly. (Not all tables related to the main table are in the same table group.)

  4. Review required fields.

You must import data to all required fields. Required fields include the fields in each of the table's keys, the fields that are required by each window that uses the table, and "non-window" required fields.

Most required fields for a selected table are listed in the Additional Table Information window in the resource descriptions. Following is an explanation of the types of required fields that need to be addressed for each table you import to:

Key fields A key is a field or combination of fields within a table that must contain a value in order for the rest of the record to be stored and displayed properly. For each table you import to, at least one key for the table must be addressed in the import definition you create. Each record in the import file must have the data necessary to fulfill the key requirements for the table it's being added to. If a record doesn't meet the key requirements for the table, it won’t be imported.

To avoid this, review the records in your import file and be sure that there is adequate information in each record to fulfill the key fields for the table and that each record's key value is unique. Since key fields are required fields, key fields can be viewed in the Additional Table Information window in the resource descriptions.

Window required fields If the user must enter information in a field before a record can be saved, that field is a required field for the table it's stored in. To view the required fields for a window, mark the Show Required Fields menu item in the application. To view the windows that access a table, use the Table Usage window in the resource descriptions.

Non-window fields Some fields in tables aren't displayed in a window, but are used to store additional information about a record displayed in a window. If a non-window field is a field required for the table, you must be sure the appropriate data is imported to that field or set a constant value for it.

  5. Check for duplicate records

The Import Utility considers a record to be a duplicate if the key values entered for a record are the same key values for another record. If a duplicate record is encountered during the import process, the record will be rejected and won’t be imported into the destination table.

To avoid this, review the records in your import file and be sure that there's adequate information in each record to fulfill the key requirement of the destination table and make each record's key value unique.


Importing data

Use the following procedure to complete the steps necessary for importing data from an import file to a table in the Dexterity-based application. This procedure will first show you how to set up an import definition, then import the data.

The definition you create here provides the Import Utility with information about the file that will be imported, including its contents and format. The Import Utility uses this information to correctly match the information in the destination table with the information in the import file.

Because an incorrect import definition can result in incorrect data being imported into the application, test the import definition with sample data before importing your own data.

To begin importing data, perform the following steps:

  1. Make a complete backup.

Because the Import Utility adds data directly to the application’s tables, we strongly recommend that you make a complete backup of them before importing new records. Then, if any problems occur during the importing process, you will be able to restore the data from the backup.

  2. Open the Table Import Definition window.

Typically, this window is opened by going to the Tools menu, pointing to Integrate, then choosing Table Import.

  3. Name the import definition.

If you are creating a new import definition, enter an ID and description.

If you want to edit an existing definition, click the Definition ID lookup button. A lookup window will appear, listing all the existing import definitions. When you select an existing definition from the lookup window, the remaining lines in the window will be filled in automatically, displaying all the information about the definition.

  4. Select the source file and file type.

Select the source file type (Tab or Comma) Source File Format list, then click the Source File lookup button to locate the import file.

  5. Select a destination table.

Click the Destination Table lookup button to select the table you want to import into. When the Choose A Table window appears, select product and series the destination table belongs to. The tables in the series will be displayed in the Table List. Choose the table you want, then click Select.

  6. Map import fields in the import definition.

Select a field you want to link to in the Field Name column, then click the Source lookup button to display the Import Data Lookup window. This window will display the fields for the first record in the import file; how you link the first record to the destination table determines how the remaining records will be imported.

If you don't want to import a field in the import file, don't map it in the import definition. If you want to import a single field from the import file to more than one field in the destination table, do so by mapping the import field to all appropriate fields.

To map an import field to a destination field, select the field in the Data column whose data corresponds to the selected destination field and click OK. Continue mapping source fields to destination fields until all the fields you want to add to the table are mapped.

  7. Add any necessary constant values.

If you need to add data to fields in the destination table that have the same value for every record imported, enter a value in the Constant field, select the appropriate destination field, and click the Add button to insert the constant.

To remove any constant values, or if you'd like to remove the link from a field from the import file to a field in the destination table, select the field in the scrolling window and click Remove.

  8. Import the file or save the definition.

Click the Import button to begin the importing process. If you don't want to import data right now, click Save to save the definition for use at a later time.

If sample data is available for the application, use it test the import definitions you create. When the import definition is set up correctly, you can use it with the actual data.

During the import process, the Import Status window will be displayed. This window shows the results of the import operation and allows you to cancel the process.

  9. Check the data that was imported.

After performing the import perform any table maintenance routines in the application to verify the integrity of the data that was imported.


Windows

Choose A Table window
Import Data Lookup window
Import Definition Lookup window
Import Status window
Select A Table window
Table Import Definition window


Choose A Table window

Use the Choose A Table window to select or change the destination table used for an import definition.

Because the Import Utility transfers information directly into the application’s data tables, we recommend that you make a complete backup of your application data before performing any import operations. If any problems occur with the import operation, you will be able to restore the application’s data from the backup.

To display this window

In the Table Import Definition window, click the Destination Table lookup button.


Import Data Lookup window

Use the Import Data Lookup window to add fields from your source file to the destination table, or view data from the first record in the source file.

The Import Data Lookup window displays the first record in the source file you're using for the import definition. How you link fields from this first record to the destination table provides a "template" to determine how the remainder of records will be added to the destination table when you begin the import process.

If you don't want to import a field in the source file, don't link it in the import definition. If you want to import a single field from the source file to more than one field in the destination table, link it to all appropriate fields in the destination table.

Be sure that the field in the source file matches the storage type and length of the field in the destination table. The Import Utility will attempt to convert data to the appropriate storage type and length, but inappropriate conversions could result in invalid data.

To display this window

In the Table Import Definition window, select a field in the destination table in the scrolling window and click the Source lookup button.


Import Definition Lookup window

Use the Import Definition Lookup window to view the names of existing import definitions and select a definition to use or change in the Table Import Definition window.

To display this window

In the Table Import Definition window, click the Definition ID lookup button.


Import Status window

Use the Import Status window to monitor progress of an import operation, and to view a running total of the number of records imported and rejected. You can also interrupt an import in progress.

If any records were not imported successfully, a Details button will appear, allowing you to display a message listing the probable cause and the location of the file containing the rejected records.


Select A Table window

Use the Select A Table window to display the tables used by the currently-active window in the application.

Although using the Select A Table window is a good method of determining all of the related tables that must contain synchronous (identical or corresponding) data when you import records to a table, you must still review all tables that may be affected by imported data.

To display this window

Display the window for which you would like to obtain table information. On the Tools menu, point to Integrate, then choose Table Import. The Select A Table window will appear, listing all of the tables for that window.


Table Import Definition window

Use the Table Import Definition window to create new import definitions, edit existing import definitions or import data using an import definition.

Because the Import Utility transfers information directly into the application’s data tables, we recommend that you make a complete backup of your application data before performing any import operations. If any problems occur with the import operation, you will be able to restore the application’s data from the backup.

Before using this window, be sure you have performed the following actions:

Set user access to Import

If the application restricts access to the Import Utility, be sure the appropriate users are allowed access to the utility.

Set table security

To ensure the integrity of the application’s data, use the application's security feature to set table access for all users with access to Import. By setting table access, you protect the tables you don't want data imported to. If table access isn't set for Import users, all tables in the application are accessible for use with the Import Utility.

Locate related table information

When you import data to a table, you may also need to import some of the same data to related tables, so that they contain synchronous (identical or corresponding) data. To do this, you will need to create separate import definitions for all tables related to the main table you're importing to.

To be sure that you're importing to all the tables that you need to, review all the tables related to the main table using the Additional Table Information window in the resource descriptions. These tables should be examined and analyzed to determine whether their data needs to be updated when changes are made to the main table you're importing to. In particular, all the tables that make up a table group should be updated together, as these tables have been designed to work together and should always contain synchronous data for each record you import. (Be aware, however, that not all tables related to the main table are in the same table group.)

You can also use the Select A Table window to display the tables used by the currently-active window in the application.

After importing, rebuild data tables and check links

After you import data, you may want to run any table maintenance procedures provided by the application to check imported records for data integrity.

To display this window

In most applications, go to the Tools menu, point to Integrate and choose Table Import.


Storage Types

The storage type specifies how data is stored in a table. Dexterity-based applications use the following storage types: string, integer, long integer, date, time, boolean, text and currency. A control type, such as combo box, currency, text or radio group, specifies how the data will be displayed in an application. Several control types share common storage types but display data differently. For example, both integer and radio group control types use the integer storage type. The storage type for each table field is displayed in the Resource Descriptions tool's Table Descriptions window.

The Import Utility converts each field you import to the storage type of the selected field in the destination file. However, inappropriate conversions could result in invalid data, so it's always best to match the storage type and format of fields in the source file and destination table.

The following list provides detailed information about each supported storage type:

  • Boolean
  • Currency
  • Date
  • Integer
  • Long integer
  • String
  • Text
  • Time


Boolean

A yes/no, on/off or true/false selection that is stored as a 1 or 0. For example, a check box stores the value 0 if the box isn't checked, and 1 if it is checked.

Control types

Check box, radio button

The values of radio buttons aren't stored in tables and can't be imported; rather, an integer value for the radio group containing the buttons is stored.

How stored in tables

0 or 1


Currency

A numeric value with up to 14 places to the left of the decimal separator and five places to the right. The Import Utility will truncate values that extend beyond these limits.

Control types

Currency

How stored in tables

As displayed in windows, including all formatting if a format is applied.


Date

A date value.

When you import a date to a field using this storage type, the date in the source file may contain special characters such as forward slashes (/). The Import Utility will add the date to a date field regardless of whether the special characters appear in the source file; however, the imported date will appear in the application you are using with the date format that you've set in your operating system's control panel settings.

Control types

Date

How stored in tables

As displayed in windows. All formatting is determined by the operating system settings.


Integer

A number without decimal places, between -32,768 and 32,767.

Control types

Integer, drop-down list, list box, radio group, progress indicator

How stored in tables

Ordinary integers are stored as displayed in windows.

A selection in a drop-down list or list box is stored as an integer representing the item selected in the list. The items are numbered sequentially, but are not necessarily in the order they are displayed in the list.

Radio group settings are also stored as an integer representing a position, but the numbering scheme is different. The first button (the topmost or leftmost) is assigned the value 0, the second button is 1, and so on.

Progress indicator fields are stored as values ranging from 0 to 100. When set to 0 or less, no indicator is displayed. When set to 100 or greater, the entire indicator is displayed. For values in between, the amount displayed is proportional to the value.


Long integer

A number between -2,147,483,648 and 2,147,483,647.

Control types

Long integer, multi-select list box

How stored in tables

Ordinary long integers are stored as displayed in windows.

Multi-select list box values are stored as a series of 32 Ts or Fs, indicating which items are selected (indicated by a T) and which aren't (indicated by an F).

Special procedures need to be followed when importing data into a multiselect list field. Source data must be formatted as a series of 32 Ts or Fs representing the position of each item in the list, and whether the item is selected (indicated by a T) or not selected (indicated by an F). If a list contains fewer than 32 items, the unoccupied positions must be set to F. If you enter a constant for a long integer field that uses a multi-select list box control type, you must also use this format.


String

A series of up to 255 characters.

Array and composite fields are also stored as strings. Arrays contain multiple values of the same type, such as sales figures for each month of the year. Composites group two or more fields as one field. Account numbers are often stored as composites.

The length of data you import to a field using a string storage type should be equal to or less than the keyable length indicated in the Type column in the Table Import Definition scrolling window; otherwise, the information in the string field will be truncated to fit the proper string length.

Control types

String, combo box

How stored in tables

As displayed in windows, including formatting if a format is applied.


Text

A field containing up to 32,000 text characters.

Control types

Text

How stored in tables

As displayed in windows.


Time

A time value.

Control types

Time

How stored in tables

As displayed in windows, including all formatting as determined by the operating system settings.


Glossary

Alphanumeric

Array field

Array index

Component

Composite

Constant

Control field

Control type

Data type

Dictionary

Display name

Duplicates

Element

Encrypted field

Field

File

Format

Global field

Integrating application

Key

Key segment

Keyable length

Local field

One-to-many

One-to-one

Resource Descriptions tool

Physical name

Primary table

Record

Record size

Required field

Secondary table

Series

Storage size

Storage type

String

Table

Table field

Table group

Table relationship

Technical name

Unique index

Window field


Copyright notice

Copyright © 2012 Microsoft Corporation. All rights reserved.

Limitation of liability

This document is provided “as-is”. Information and views expressed in this document, including URL and other Internet Web site references, may change without notice. You bear the risk of using it.

Some examples depicted herein are provided for illustration only and are fictitious. No real association or connection is intended or should be inferred.

Intellectual property

This document does not provide you with any legal rights to any intellectual property in any Microsoft product.

You may copy and use this document for your internal, reference purposes.

Trademarks

Microsoft, Dexterity, and Microsoft Dynamics are trademarks of the Microsoft group of companies. FairCom and c-tree Plus are trademarks of FairCom Corporation and are registered in the United States and other countries.

All other trademarks are property of their respective owners.

Warranty disclaimer

Microsoft Corporation disclaims any warranty regarding the sample code contained in this documentation, including the warranties of merchantability and fitness for a particular purpose.

License agreement

Use of this product is covered by a license agreement provided by Microsoft Corporation with the software product. If you have any questions, please call the Microsoft Dynamics GP Customer Assistance Department at 800-456-0025 (in the U.S. or Canada) or +1-701-281-6500.

Publication date

July 2012


Glossary

Alphanumeric

A combination of numbers and letters.

Array field

A field containing multiple occurrences of the same type of information. The individual pieces of information stored by an array field are called elements. For example, a seven-element array field could be used to store daily sales totals instead of seven individual fields.

Array index

The number designating a specific component within an array field. Each component field within an array field has an array index.

Component

One field of a composite field.

Composite

A group of fields and their associated data types that form a single data type.

Constant

A fixed numeric or string value.

Control field

A unique field within a record that's used to control access to the record. Typically, the control field is part of the first key for the table.

Control type

The main characteristic of a data type, controlling the type of information that can be stored in fields with the data type, and some aspects of how the information will be displayed. Commonly-used control types are push button, integer, check box, date and currency.

Data type

A resource that defines the characteristics for a field, such as its keyable length, control type (push button, check box, string and so on) and format. A single data type can be applied to several fields, but a field can only have one data type applied to it.

Dictionary

A file used by Dexterity-based applications to store all of the resources that make up the application.

Display name

One of the names specified for a table. The display name is used when the name of the table is displayed to the user.

Duplicates

A key option that specifies whether the key will allow multiple records in the table to have the same key value.

Element

One of the fields in an array field.

Encrypted field

A field that is altered in the table, making it difficult to view the contents of the field by accessing the table from outside of the application.

Field

A field contains a single piece of information used by the application dictionary. A field can be displayed in a window or stored in a table. The kind of information the field displays or stores depends on the data type associated with it. Global fields can be displayed in a window, stored in a table or printed on a report. Local fields are available only within the form in which they are created and are used as window fields.

File

A collection of information stored on a disk.

Format

The extra characters, spacing and attributes that can be applied to a data type when data is entered, displayed or printed.

Global field

A field that can be used throughout an application. Global fields can be displayed in windows, stored in tables and printed on reports.

Integrating application

A Dexterity application that runs concurrently with a main product application.

Key

A field or combination of fields within a record that is used as a basis by which to store, retrieve and sort records. Keys are also used to define table relationships, in order to link tables.

Key segment

One field of a group of fields that compose a key.

Keyable length

The number of characters that can be entered in a field. A name field, for example, that can only contain 30 characters, has a keyable length of 30.

Local field

A field that's available only within the form in which it appears. Local fields are used as window fields; they're not stored in tables.

One-to-many

A type of relationship between two tables. For every record in the first table, there are many records in the second table that are related to it. For example, an invoice header table contains a list of invoices, while an invoice line item table contains a list of the items on each invoice. For one invoice in the first table, there are many line items in the second table, so there's a one-to-many relationship between the tables.

One-to-one

A type of relationship between two tables. For every record in the first table, there is only one corresponding record that is related to it in the second table.

Resource Descriptions tool

A tool that displays information about the current dictionary's fields, windows and tables.

Physical name

For tables, the name under which a table is stored by the operating system or database.

For global fields, a shortened version of the field name that is used as the column name when the field is used in a SQL table.

Primary table

The first, or main table in a table relationship. If the relationship between the primary table and the secondary table is one-to-one, all of the fields in the secondary table's key must be present in the primary table.

Record

A collection of data made up of one instance of each field in a table.

Record size

The number of bytes in the fixed-length portion of the record. This value is the sum of the storage sizes of the fixed-length fields in the record.

Required field

A field in which a value must be entered to process information, such as an ID or customer name. In Dexterity-based applications, required fields are displayed in a different color or type style when a user chooses the Show Required Fields menu item.

Secondary table

The table that's related to the first, or primary table in a table relationship. If the relationship between the primary table and the secondary table is one-to-one, all of the fields in the secondary table's key must be present in the primary table.

Series

A predefined category to which forms, tables and reports are assigned in an application dictionary.

Storage size

The size, in bytes, that an application uses to store the information entered in a field. The storage type is specific to the field's data type.

Storage type

One of the eight standard forms used to store the data in a field. The storage types are: boolean, integer, long, currency, string, text, date, and time. The control type determines which storage type is used to store the data in the field.

String

A sequence of up to 255 ASCII characters.

Table

A collection of related data formatted in rows. Each row represents a separate record, and each column represents a separate field.

Table field

A global field that's used to store information in tables.

Table group

A group of logically-related tables. For example, a customer master table, a customer address table and a customer history table could all compose a table group.

Table relationship

A link between tables that have fields in common. These relationships allow the Report Writer to select fields from all of the related tables and use them on a single report.

Technical name

The name used within application scripts to refer to a table or window.

Unique index

An index that requires the key values of each record to be unique. Individual key segments may contain the same data for multiple records, but there can't be duplicates of the key values as a whole.

Window field

A global or local field that has been added to a window layout. Global fields are typically stored in tables, and can be added to report layouts; local fields aren't stored in tables and can't be printed on reports.


Choose A Table window: Fields

Product

From the drop-down list, select the product containing the table you want to import into.

Series

From the drop-down list, select the series containing the table you want to import into.

Table List

Displays all of the tables for the product and series you selected. To choose a particular table, select it in the list and click OK. When the Table Import Definition window opens, the name of the selected table will appear in the Destination Table field and the table's fields will be displayed in the scrolling window.


Choose A Table window: Buttons

OK

Selects a table in the Table List and returns you to the Table Import Definition window. The name of the selected table will appear in the Table Import Definition window's Destination Table field, and the scrolling window will display fields in the selected table.

Cancel

Closes the window without selecting a table.


Import Data Lookup window: Buttons

OK

Adds, or links, the selected field from the source file to a field in the destination table.


Import Definition Lookup window: Fields

Definition ID

Lists the IDs for the definitions created with the Table Import Definition window.

Definition Description

Lists the descriptions that correspond to the IDs in the Definition ID column.


Import Definition Lookup window: Buttons

OK

Displays the selected import definition in the Table Import Definition window.

Cancel

Closes the window without selecting an import definition.


Import Status window: Fields

Status Message

Describes the status of the import.

Records Imported

Displays a running total of records that were successfully imported to the destination table.

Records Rejected

Displays a running total of any records that were rejected. Records are typically rejected because they already exist in the destination table. After the import is complete, you can click the Details button to display a message listing the location of a file containing the rejected records.

Progress Indicator

Displays a bar graph representing the percentage of the import that has completed.


Import Status window: Buttons

Abort

Halts the import as soon as the current record has finished processing. A status message will indicate that the import has been aborted, and the window will display the number of records imported and rejected at the time the import was stopped.

Close

Closes the window.

Details

If any records failed to import, this button appears in place of the Abort button. It displays a message describing the probable reason the records were rejected, and the name and location of the file containing the rejected records.

The file containing the rejected records uses the same format (comma or tab delimited) as the original import file, and has the extension .RJT. Once you have addressed the problems that prevented the records from being imported, you can resume the import, using the .RJT file as your import file.

Click OK to dismiss the message window.


Select a Table window: Fields

Window

Displays the name of the window that was active when the Select A Table window was displayed.

Window Tables

Displays all the tables used by the active window. Be sure to review all the tables in this list to find out whether data imported to the main table will affect data in any of these tables. If you want to use one of the tables listed as the destination for an import definition, select the table and click OK. The Table Import Definition window will open and the table you selected will appear in the Destination Table field.


Select a Table window: Buttons

OK

Selects the highlighted table in the Window Tables list. The Table Import Definition window will open and the Destination Table field will appear with the table you selected.

Cancel

Closes the Select A Table without selecting a table.


Table Import Definition window: Buttons

Field Info

Opens the Resource Description tool's Additional Field Information window, which displays information about the field currently selected in the scrolling window.

Save

Saves the changes you've made to this import definition.

Delete

Deletes the import definition displayed in the window.

Import

Begins the importing process. The Import Status window will appear to indicate progress as the import is taking place, and displays a running total of the number of records imported and rejected.

Add

Adds a constant value to the selected field in the scrolling window. To add a constant to a field, select a field in the Field Name column, then enter a value in the Constant field. Click Add to add the constant value to the selected field.

Remove

Removes a source field or a constant value from the scrolling window. To remove a source field or a constant value, select the field in the scrolling window and click Remove. The information in the Source and Data columns will be removed.

Source File lookup

Displays a file dialog box, allowing you to select the file from which to import data.

Destination Table lookup

Displays the Choose A Table window, where you can specify the product, series and table to use as a destination for the imported information.

Source Field lookup

Displays the Import Data Lookup window, where you can select a field in the source file. The field you select will be linked to the destination field that you've selected in the Field Name column in the import definition.

Definition ID lookup

Opens the Import Definition Lookup window, were you can select an existing import definition.


Import Data Lookup window: Fields

Field #

Lists the sequence number for each field in the source file.

Data

Displays the contents of the field from the first record in the source file. Select a field and click OK to link the selected field to the field you previously selected in the destination table. When the Table Import Definition window reappears, the field information will be displayed in the scrolling window.


Table Import Definition window: Fields

Definition ID

Displays the name of an existing import definition or allows you to enter an ID for a new import definition. To specify an ID for an existing definition, click the lookup button to open the Import Definition Lookup window, which displays all of the definitions you've created, regardless of the company you used when you created the definition.

Description

Allows you to enter a description for the import definition you're creating.

Source File Format

Use this field to select a format for the source file you're using with this import definition. Select "Comma" for a comma-delimited format, or "Tab" for a tab-delimited format.

The comma-delimited, or CSV format, uses commas to separate fields of information in a record, while the tab-delimited format uses tabs for the same purpose. To create a source file with a particular format, print the data from a spreadsheet or database application to a text file, and choose either comma-delimited or tab-delimited as the format for the text file. You can then view the file using a text editor to verify it has the correct format.

Source File

Displays the path to the file you're using for this import definition. If you're creating a new import definition, or if you want to change the file that the import definition is using, click the Source File lookup button. A dialog box will appear, which you can use to locate the source file that contains the information you want to import. After you select the source file you want to use, the Source File field will display the file location you selected.

Destination Table

Use this field to select the table you want to import into. If you're creating a new import definition and want to indicate a table, or if you want to change the existing table, click the Destination Table lookup button. The Choose A Table window will open, and you can select the destination table for this import definition.

Constant

Use this field to specify a constant value to use for a field in the destination table. Each record imported will use this constant value for the field. Constants can be composed of characters, numbers or a combination of both.To specify a constant value for a field, select the field in the Field Name column and enter a value of the appropriate storage type in the Constant field. For example, the assume the Account Type field is a drop-down list that is stored as an integer. Specifying a constant value of 1 would set all imported account numbers to the predefined account type "Posting Account."

Click Add to use the constant value for the selected field. To remove the constant value, select the field in the Field Name column and click Remove.

You must supply a constant value for any required field that isn't addressed by data from the import file. Key fields are the only exception to this. Typically, key values must be unique, and therefore can't use static (constant) values.

Constant values also help you define uniform values for fields that aren't always required, such as comment and class fields. For example, if you want to apply an existing class to all of the customer records you're importing, enter the class name as a constant value for the Customer Class field in the Customer Master Table. When you import customer records, all of them will use the class you specify.

Be sure that the constant values you specify for classes and types are already defined in your application or its database before you import records using those values. For instance, if you're importing customer records to the Customer Master Table and specify a customer class or salesperson ID using a constant, that class record or salesperson ID must already be defined; if not, you must create it before you import the customer records.

Scrolling window fields

Field Name Displays the fields in the destination table you selected. The fields are listed in the order they appear in the table.

Type Displays the storage type and length used by the field. Several different storage types are used to specify how information is stored in a particular field. For example, fields with a string storage type contain text, such as a customer name or address, while fields with a currency storage type contain currency amounts, such as an ending balance or an invoice total. For a detailed explanation of storage types, refer to Storage Types.

Source Displays the sequence number of the field in the source file. Click the lookup button to open the Import Data Lookup window, where you can select a field in the import file.

Data Displays the data from the field you select in the Import Data Lookup window. The data displayed is from the first record in the source file.